API Explorer 1884 endpoints

Get My Consumers

GET /obp/v7.0.0/my/consumers

OBPv7.0.0-getMyConsumers No role required ConsumerOrganisation

Get the Consumers you may act for. These are the ones you created that belong to no Organisation, and those of the active Organisations you are a member of. No Role is needed.

You may read a Consumer here if you created it and it belongs to no Organisation, or if it belongs to an active Organisation you are a member of. Any other CONSUMER_ID answers 404. The consumer key and secret are never returned.

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

JSON response body fields (12)
app_name
appNameBank
app_type
Web
company
Tesobe GmbH
consumer_id
7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
consumers
created
created_by_user_id
description
Description of the object. Maximum length is 2000. It can be any characters here.
developer_email
enabled
false
redirect_url
https://apisandbox.openbankproject.com
organisation_id
8ca8a7e4-6d02-48e3-a029-0b2bf89de9f0
Example success response
{
  "consumers": [
    {
      "consumer_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
      "app_name": "Example Payments App",
      "app_type": "Confidential",
      "description": "Pays bills.",
      "developer_email": "dev@fintech.example.com",
      "company": "Example Fintech Ltd",
      "redirect_url": "https://app.fintech.example.com/callback",
      "enabled": true,
      "created_by_user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1",
      "organisation_id": "8ca8a7e4-6d02-48e3-a029-0b2bf89de9f0",
      "created": "1100-01-01T00:00:00Z"
    }
  ]
}
Possible errors (2)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-50000: Unknown Error.
Implemented by OBPv7.0.0 getMyConsumers